#!/bin/bash

### 设置锁屏等配置
cp /usr/share/kylin-os-config-common/edu/90_kylin-edu-settings.gschema.override /usr/share/glib-2.0/schemas/90_kylin-edu-settings.gschema.override
glib-compile-schemas /usr/share/glib-2.0/schemas/

### 设置默认背景
if [ -f /usr/share/backgrounds/edu/edu-1-warty-final-ubuntukylin.jpg ];then
	cp /usr/share/backgrounds/edu/edu-1-warty-final-ubuntukylin.jpg /usr/share/backgrounds/1-warty-final-ubuntukylin.jpg
fi

### 设置grub背景
if [ -f /usr/share/grub/themes/UKUI/background-edu.png ];then
	cp /usr/share/grub/themes/UKUI/background-edu.png /usr/share/grub/themes/UKUI/background.png
fi

### 设置全局主题
if [ -f /usr/share/config/globaltheme/Light-Seeking/xcedu-preview.png ];then
	cp /usr/share/config/globaltheme/Light-Seeking/xcedu-preview.png /usr/share/config/globaltheme/Light-Seeking/preview.png
fi

### 设置默认的plymouth主题
plymouth="/usr/share/plymouth/themes/kylinedu/kylinedu.plymouth"
if [ -f ${plymouth} ];then
	update-alternatives --install /usr/share/plymouth/themes/default.plymouth default.plymouth ${plymouth} 160
	update-alternatives --set default.plymouth ${plymouth}
	update-initramfs -u
fi

# sed "s/^VERSION=.*/VERSION=\"银河麒麟桌面操作系统（教育版）V10\"/g" -i /etc/os-release 
# sed "s/^VERSION_US=.*/VERSION_US=\"Kylin Linux Desktop EDU V10\"/g" -i /etc/os-release 
# sed "s/^PROJECT_CODENAME=.*/PROJECT_CODENAME=V10SP1-General-Edu/g" -i /etc/os-release 


